<div class="card">
    <div class="card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
            Cuentas del Huesped <strong>{{ noFolio }}</strong>
        </div>
        <div class="btn-actions-pane-right" *ngIf="!consulta || grabarCuentas">
            <ng-container *ngIf="!flagBuscarFolio">
                <button class="btn btn-primary py-2 px-4" [disabled]="flagTraspasar" (click)="transferir()">
                    <i class="fa fa-cogs mr-2"></i>Traspasar
                </button>
                <button class="btn btn-warning py-2 px-4 ml-1" (click)="getCuentas()" *ngIf="flagTraspasar">
                    <i class="fas fa-redo mr-2"></i>Reiniciar
                </button>
                <button class="btn btn-success py-2 px-4 ml-1" [disabled]="!flagTraspasar" (click)="guardar()">
                    <i class="fa fa-save mr-2"></i>Guardar
                </button>
            </ng-container>
            <button class="btn btn-secondary py-2 px-4 ml-1" (click)="flagBuscarFolio = false;"
                *ngIf="flagBuscarFolio">Regresar</button>
        </div>
    </div>
    <div class="card-body">
        <form id="cuentas-class" #form="ngForm" class="animated fadeIn" *ngIf="!flagBuscarFolio">
            <div class="folios-cuentas row d-flex justify-content-center">
                <div class="row">
                    <div class="form-group col">
                        <label>Cuenta A</label>
                        <div class="input-group">
                            <input type="number" tabindex="1" class="form-control" name="htfola" [(ngModel)]="htfola"
                                [disabled]="!flagTraspasar" appFocus>
                            <span class="input-group-append" *ngIf="!consulta || grabarCuentas">
                                <button (click)="changeFolio('A')" class="btn btn-light" *ngIf="flagTraspasar">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                    <div class="form-group col">
                        <label>Cuenta B</label>
                        <div class="input-group">
                            <input type="number" tabindex="2" class="form-control" name="htfolb" [(ngModel)]="htfolb"
                                [disabled]="!flagTraspasar">
                            <span class="input-group-append" *ngIf="!consulta || grabarCuentas">
                                <button (click)="changeFolio('B')" class="btn btn-light" *ngIf="flagTraspasar">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                    <div class="form-group col">
                        <label>Cuenta C</label>
                        <div class="input-group">
                            <input type="number" tabindex="3" class="form-control" name="htfolc" [(ngModel)]="htfolc"
                                [disabled]="!flagTraspasar">
                            <span class="input-group-append" *ngIf="!consulta || grabarCuentas">
                                <button (click)="changeFolio('C')" class="btn btn-light" *ngIf="flagTraspasar">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group col">
                        <label>Cuenta D</label>
                        <div class="input-group">
                            <input type="number" tabindex="4" class="form-control" name="htfold" [(ngModel)]="htfold"
                                [disabled]="!flagTraspasar">
                            <span class="input-group-append" *ngIf="!consulta || grabarCuentas">
                                <button (click)="changeFolio('D')" class="btn btn-light" *ngIf="flagTraspasar">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                    <div class="form-group col">
                        <label>Cuenta E</label>
                        <div class="input-group">
                            <input type="number" tabindex="5" class="form-control" name="htfole" [(ngModel)]="htfole"
                                [disabled]="!flagTraspasar">
                            <span class="input-group-append" *ngIf="!consulta || grabarCuentas">
                                <button (click)="changeFolio('E')" class="btn btn-light" *ngIf="flagTraspasar">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                    <div class="form-group col">
                        <label>Cuenta F</label>
                        <div class="input-group">
                            <input type="number" tabindex="6" class="form-control" name="htfolf" [(ngModel)]="htfolf"
                                [disabled]="!flagTraspasar">
                            <span class="input-group-append" *ngIf="!consulta || grabarCuentas">
                                <button (click)="changeFolio('F')" class="btn btn-light" *ngIf="flagTraspasar">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="grid-cuentas">
                <div class="mb-1" *ngIf="!flagTraspasar && !consulta || grabarCuentas">
                    <button class="btn btn-info px-4 py-3 mx-1" *ngFor="let cta of dsCuentas"
                        (click)="changeCta(cta.tipoCuenta)"
                        [disabled]="!selectedRow.htfolio || selectedRow.htfolio === cta.tipoCuenta">
                        <h5 class="pt-1">{{ cta.tipoCuenta }}</h5>
                    </button>
                </div>
                <kendo-grid [data]="gridData" [sortable]="true" (selectionChange)="selectRow($event)"
                    [selectable]="true" style="height: 50vh;">
                    <kendo-grid-column field="hclase" title="Clase" width="80"></kendo-grid-column>
                    <kendo-grid-column field="hdesc" title="Descripción"></kendo-grid-column>
                    <kendo-grid-column field="htfolio" title="Cuenta" width="80"></kendo-grid-column>
                </kendo-grid>
            </div>
        </form>
        <div class="animated fadeIn" *ngIf="flagBuscarFolio">
            <app-buscar (resultFolio)="resultFolio($event)" [typeSearch]="uso"></app-buscar>
        </div>
    </div>
</div>